Assertion 'pa_idxset_isempty(c->clients)' failed at pulsecore/core.c:176, function core_free(). Aborting.

Bug #403786 reported by David Nielsen on 2009-07-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by David Nielsen

Bug Description

Binary package hint: pulseaudio

I am seeing pulseaudio abort after the following message

E: core.c: Assertion 'pa_idxset_isempty(c->clients)' failed at pulsecore/core.c:176, function core_free(). Aborting.
Aborted

My setup is an EeePC 1002HA with an additional Soundblaster 5.1 Live! card connected via USB. This crash only seems to occure when I am using the USB card so it may be a problem with snd_usb_audio driver when it is configured to use 5.1 (this same card in the default stereo configuration from Jaunty worked fine). I based this idea on noticing the follow when running pulseaudio -vvvvv

E: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
E: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_usb_audio'. Please report this issue to the ALSA developers.
E: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

ProblemType: Bug
Architecture: i386
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp1', '/dev/dsp', '/dev/snd/by-id', '/dev/snd/controlC1', '/dev/snd/hwC1D0', '/dev/snd/pcmC1D0c', '/dev/snd/pcmC1D0p', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfbcb8000 irq 16'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,1043834a,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'External'/'Creative Technology SB Live! 24-bit External at usb-0000:00:1d.1-2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB041e:3040'
   Controls : 5
   Simple ctrls : 4
Date: Fri Jul 24 00:18:40 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.15-4ubuntu2
ProcEnviron:
 LANG=da_DK.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-3-generic i686

I should have mentioned, the sure way to trick this is play a video then skip back or forward. The sound will cease completely and in more than 70% of cases Pulseaudio crashes on my machine. Alternatively one can just let the movie play and it will crash in a matter of minutes normally. Sound in this configuration is quite literally unusable in Karmic.

Have you tried the testing version of PulseAudio in the audio-dev PPA? You can find it here: http://launchpad.net/~ubuntu-audio-dev/+archive

If you could test your setup with that package, it would be much appreciated.

Thanks.

the ppa version seems more stable however I did see a segfault (cause unknown), both my cards were muted (in what appears to be several places in both the notification area applet and pavucontrol).

skipping back and forward seems improved though but I would like to do more extensive testing before I declare this problem solved.

Nope the test version isn't any better, it still fails miserably when you skip in a video. The sound disappears, PA does a lot of things and then:

I: main.c: Daemon terminated.

Now I would have liked to capture a full log of this, however when I do pulseaudio -vvvvv > pa.log the resulting file is empty. It also likes to complain that PA is already running and doing pulseaudio -k just results in a respawn.

Please advice.

killall pulseaudio && pulseaudio -vvv|tee pa.log

On Jul 24, 2009 5:25 PM, "David Nielsen" <email address hidden> wrote:

Nope the test version isn't any better, it still fails miserably when
you skip in a video. The sound disappears, PA does a lot of things and
then:

I: main.c: Daemon terminated.

Now I would have liked to capture a full log of this, however when I do
pulseaudio -vvvvv > pa.log the resulting file is empty. It also likes to
complain that PA is already running and doing pulseaudio -k just results
in a respawn.

Please advice.

-- Assertion 'pa_idxset_isempty(c->clients)' failed at pulsecore/core.c:176,
function core_free()....

TO get a log of pulseaudio's activity, you need to firstly ill all pulseaudio related processes. To prevent autospawning, please close all audio related applications.

Then from a terminal, run "pulseaudio -vvv > pulse.log 2>&1" to get all the output thats needed.

Then play your video, or whatever you do to trigger the failure.

Thanks.

Here's the log file, I did exactly the same thing, however this time it ended up with a hard CPU limit reached ending to my audio fun. Meanwhile making the rest of the desktop winderfully unusable.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers